/* misc.c
 *
 * Copyright (C) 2001 RedHat, Inc.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
 * USA
 */
/*
 * Modified for SIKIGAMI 2001,2002 Axe,Inc.
 */

#include <stdlib.h>
#include <stdio.h>
#include <malloc.h>
#include <string.h>
#include "misc.h"

char *
get_config_path( void )
{
	return CONFIG_FILE_NAME;
}

void
free_config_path( void )
{
}

char *
stralloc( char * src )
{
 int    len;
 char * ret;

	if ( ! src ) {
		len = 1;
	}
	else {
		len = strlen(src)+1;
	}

	ret = (char *)g_malloc( sizeof(char)*len );
	strcpy( ret, src );

	return ret;
}
void replace_char( void * _string, char c1, char c2, int length )
{
  char *string = (char *)_string;
  int	i;

  for( i=0; i < length; i++ ) {
	  if( *(string+i) == c1 )
	      *(string+i) = c2;
	}
}
int isnewline(char c)
{
    return c=='\n' || c=='\r';
}
char *
trimspace( char * buf )
{
 char * sp, * ep;

   sp = buf;
	 ep = buf + strlen(buf)-1;

	 while( ' ' == *sp || '\t' == *sp ) {
	   sp++;
	 }

	 while( sp<ep && ( ' ' == *ep || '\t' == *ep ) ) {
	   ep--;
	 }

	 *(ep+1) = 0x00;

   return sp;
}

